Skip to main content

Get all communities

GEThttps://api.propexo.com/crm/v1/communities/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 4 enum values
ELISEAIFUNNELRENTCAFEKNOCK

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the community

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Example: 290378
    custom_data object | nullrequired
    object
    address_1string | nullnullablerequired

    The first address line associated with the community

    Example: 123 Jefferson Rd
    address_2string | nullnullablerequired

    The second address line associated with the community

    Notice

    This field will always be null for RENTCAFE

    citystring | nullnullablerequired

    The city associated with the community

    Example: Boston
    statestring | nullnullablerequired

    The state associated with the community

    Example: MA
    zipstring | nullnullablerequired

    The zip code associated with the community

    Example: 92131
    urlstring | nullnullablerequired

    The primary url associated with the community

    Example: manager.rentcafewebsite.com
    emailstring | nullnullablerequired

    The primary email address associated with the community

    phonestring | nullnullablerequired

    Primary phone number associated with the community

    Example: (555) 555-5555
    coordinates objectrequired
    latstring | nullnullablerequired

    The latitude associated with the community

    Example: 123.34123
    longstring | nullnullablerequired

    The longitude associated with the community

    Example: 123.34123
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum30required

    The CRM system of record

    Show 5 enum values
    RENTCAFEELISEAIFUNNELRENTCAFEKNOCK
    Example: RENTCAFE
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /crm/v1/communities/
curl https://api.propexo.com/crm/v1/communities/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "290378",
"custom_data": "Unknown Type: object,null",
"address_1": "123 Jefferson Rd",
"address_2": "string",
"city": "Boston",
"state": "MA",
"zip": "92131",
"url": "manager.rentcafewebsite.com",
"email": "[email protected]",
"phone": "(555) 555-5555",
"coordinates": {
"lat": "123.34123",
"long": "123.34123"
},
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTCAFE"
}
]
}